#ifndef CONSOLE_IO_H
#define CONSOLE_IO_H

#include "ShortArea.h"

// Windows 9x only supports maximum 125x60 characters.
#define COLUMNS				125
#define ROWS				60
#define FONT_X				8
#define FONT_Y				8

bool SetupMaxConsoleScreenMode();

void RevertToDefaultScreenMode();

void ConsoleOut(signed short x, signed short y, char * pszText, signed short len = -1, char ForeColor = 7, char BkgndColor = 0);

void PaintChar(signed short x, signed short y, unsigned char bChar, char ForeColor = 7, char BkgndColor = 0);

void PaintRect(const ShortRect & src, unsigned char bFill, char ForeColor = 7, char BkgndColor = 0);

void ScrollWindow(const ShortRect * psrcScroll, const ShortRect * psrcClip, signed short DestX, signed short DestY, unsigned char bFill, char ForeColor = 7, char BkgndColor = 0);

#endif
